"use strict";
/* eslint-disable */
const visit = require('unist-util-visit');
const hasOwn = (obj, prop) => Object.prototype.hasOwnProperty.call(obj, prop);
module.exports = function attacher(settings = {}) {
    const transformer = (tree) => {
        const visitor = (node) => {
            let styles = [];
            if (settings[node.tagName]) {
                for (const key in settings[node.tagName]) {
                    if (hasOwn(settings[node.tagName], key)) {
                        const element = settings[node.tagName][key];
                        styles.push(`${key}: ${element}`);
                    }
                }
                node.properties['style'] = styles.join('; ');
            }
        };
        visit(tree, 'element', visitor);
    };
    return () => transformer;
};
