"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unist_util_visit_1 = __importDefault(require("unist-util-visit"));
function attacher(settings = {}) {
    const transformer = (tree) => {
        const visitor = (node) => {
            if (settings[node.tagName]) {
                const styles = [];
                for (const key in settings[node.tagName]) {
                    if (Object.prototype.hasOwnProperty.call(settings[node.tagName], key)) {
                        const element = settings[node.tagName][key];
                        styles.push(`${key}: ${element}`);
                    }
                }
                node.properties['style'] = styles.join('; ');
            }
        };
        unist_util_visit_1.default(tree, 'element', visitor);
    };
    return () => transformer;
}
exports.default = attacher;
